import http from '@/utils/request'

export const getInvoiceList = (params) => {
  return http.post('/tenant/invoiceRecord', { data: params })
}

export const getInvoiceTickets = (params) => {
  return http.post('/tenant/invoice/query', { data: params })
}

export const doInvoice = (params) => {
  return http.post('/tenant/invoice/doInvoice', { data: params })
}

export const updateInvoiceInfo = (params) => {
  return http.post('/tenant/invoiceRecord/update', { data: params })
}

export const getInvoiceSellerList = (params) => {
  return http.post('/tenant/invoiceSeller', { data: params })
}

export const updateInvoiceSeller = (params) => {
  return http.post('/tenant/invoiceSeller/update', { data: params })
}

export const getInvoiceChannelList = (params) => {
  return http.post('/tenant/invoiceChannel', { data: params })
}

export const updateInvoiceChannel = (params) => {
  return http.post('/tenant/invoiceChannel/update', { data: params })
}
